Crypto++ 8.2 Free C++ class library of cryptographic schemes

Public Types | List of all members
WAKE_OFB< B > Struct Template Reference

WAKE stream cipher. More...

Inheritance diagram for WAKE_OFB< B >:

## Public Types
typedef SymmetricCipherFinal< ConcretePolicyHolder< WAKE_Policy< B >, AdditiveCipherTemplate<> >, WAKE_OFB_Info< B > > | Encryption
typedef Encryption | Decryption
Public Types inherited from SymmetricCipherDocumentation
typedef SymmetricCipher | Encryption
| implements the SymmetricCipher interface
typedef SymmetricCipher | Decryption
| implements the SymmetricCipher interface

## Additional Inherited Members
Static Public Member Functions inherited from WAKE_OFB_Info< B >
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from FixedKeyLength< 32 >
static size_t CRYPTOPP_API | StaticGetValidKeyLength (size_t keylength)
| The default key length for the algorithm provided by a static function. More...
Static Public Attributes inherited from FixedKeyLength< 32 >
static const int | KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default IV length used by the algorithm provided as a constant. More...

## Detailed Description

### template<class B = BigEndian>
struct WAKE_OFB< B >

WAKE stream cipher.

Template Parameters

  B | Endianness of the stream cipher

Since
  Crypto++ 1.0

Definition at line 51 of file wake.h.

The documentation for this struct was generated from the following file:

- wake.h